> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-codex-document-usage-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage summary

> Get usage totals and contract projections for a date range.



## OpenAPI

````yaml get /v1/usage/summary
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/usage/summary:
    get:
      tags:
        - Usage
      summary: Get organization usage totals and projections.
      operationId: getV1UsageSummary
      parameters:
        - schema:
            type: string
            format: date
            description: Date used to resolve usage terms. Defaults to today.
          required: false
          description: Date used to resolve usage terms. Defaults to today.
          name: to
          in: query
        - schema:
            type: string
            format: date
            description: Start date, inclusive. Defaults to the resolved usage start date.
          required: false
          description: Start date, inclusive. Defaults to the resolved usage start date.
          name: from
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: string
            description: >-
              Account IDs included in the resolved usage terms. Repeat or
              comma-separate values.
          required: false
          description: >-
            Account IDs included in the resolved usage terms. Repeat or
            comma-separate values.
          name: accountIds
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: string
              enum:
                - AGENTIC
                - API
                - BROWSER
                - HEARTBEAT
                - ICMP
                - MULTI_STEP
                - TCP
                - PLAYWRIGHT
                - URL
                - DNS
                - SSL
                - GRPC
                - TRACEROUTE
            description: Check types to include. Repeat or comma-separate values.
          required: false
          description: Check types to include. Repeat or comma-separate values.
          name: checkTypes
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV1SummaryResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    UsageV1SummaryResponse:
      type: object
      properties:
        usageTermsId:
          type: string
          format: uuid
        period:
          $ref: '#/components/schemas/UsageV1SummaryPeriod'
        totals:
          $ref: '#/components/schemas/UsageV1Metrics'
        projections:
          $ref: '#/components/schemas/UsageV1Projections'
      required:
        - usageTermsId
        - period
        - totals
        - projections
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    UsageV1SummaryPeriod:
      type: object
      properties:
        from:
          type: string
          format: date
        to:
          type: string
          format: date
      required:
        - from
        - to
    UsageV1Metrics:
      type: object
      properties:
        credits:
          $ref: '#/components/schemas/UsageV1Credits'
        meters:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Meter'
      required:
        - credits
        - meters
    UsageV1Projections:
      type: object
      properties:
        weeksSinceStart:
          type: integer
          minimum: 0
        weeksRemaining:
          type: integer
          minimum: 0
        remainingCredits:
          type: number
          nullable: true
        windows:
          type: object
          properties:
            sinceStart:
              $ref: '#/components/schemas/UsageV1ProjectionWindow'
            last30Days:
              $ref: '#/components/schemas/UsageV1ProjectionWindow'
            last7Days:
              $ref: '#/components/schemas/UsageV1ProjectionWindow'
            last1Day:
              $ref: '#/components/schemas/UsageV1ProjectionWindow'
          required:
            - sinceStart
            - last30Days
            - last7Days
            - last1Day
      required:
        - weeksSinceStart
        - weeksRemaining
        - remainingCredits
        - windows
    UsageV1Credits:
      type: object
      properties:
        used:
          type: number
          nullable: true
          minimum: 0
        percentOfBudget:
          type: number
          nullable: true
          minimum: 0
      required:
        - used
        - percentOfBudget
    UsageV1Meter:
      type: object
      properties:
        meterType:
          type: string
          minLength: 1
        measures:
          type: object
          additionalProperties:
            type: number
            minimum: 0
      required:
        - meterType
        - measures
    UsageV1ProjectionWindow:
      type: object
      properties:
        usage:
          $ref: '#/components/schemas/UsageV1Metrics'
        projectedAnnualPercentOfBudget:
          type: number
          nullable: true
          minimum: 0
        projectedCreditsAtContractEnd:
          type: number
          nullable: true
          minimum: 0
        projectedPercentAtContractEnd:
          type: number
          nullable: true
          minimum: 0
        projectedWeeksUntilExhausted:
          type: number
          nullable: true
          minimum: 0
      required:
        - usage
        - projectedAnnualPercentOfBudget
        - projectedCreditsAtContractEnd
        - projectedPercentAtContractEnd
        - projectedWeeksUntilExhausted
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````